import { OnInit } from '@angular/core';
import { DialogConfig } from '../../../../ui-kit/dialog/dialog-config';
import { DialogRef } from '../../../../ui-kit/dialog/dialog-ref';
import * as i0 from "@angular/core";
export declare class AddLogicComponent implements OnInit {
    config: DialogConfig;
    dialog: DialogRef;
    currentQuestion: any;
    questionsArray: any;
    selectedValue: any;
    selectedLogicQuestion: any;
    selectedLogicQuestionType: string;
    checkboxValue: any[];
    disableLogicDropdown: boolean;
    operatorMap: any;
    questionIndex: number;
    showError: {
        isVisible: boolean;
        errorMessage: string;
    };
    editorMode: any;
    logic: any;
    operatorVal: {
        '=': string;
        '!=': string;
        '>': string;
        '<': string;
        '>=': string;
        '<=': string;
        answered: string;
        before: string;
        after: string;
        beforeEquals: string;
        afterEquals: string;
    };
    constructor(config: DialogConfig, dialog: DialogRef);
    ngOnInit(): void;
    /**
    * Fetches the questions on currently active page
    */
    getCurrentPageQuestions(): void;
    /**
   * Sets the index and title of current question
   * @param index Current index of question
   * @param questionTitle Title of question at index i
   */
    setIndex(selectedQuestionName: any): void;
    setOperator(evt: any): void;
    /**
     * populates the logic dropdown based on question type
     */
    setValuesForLogicDropdown(): void;
    /**
   * Operation on selecting value from checkbox
   * @param event Event triggered on selecting value of checkbox
   * @param title Title of the checkbox option selected
   */
    checkboxStatus(evt: any): void;
    multipleChoiceChecked(evt: any): void;
    rankingStatus(choice: any): void;
    /**
    * Operation on entering value to multiple text boxes
    */
    setMultiplTextStatus(): void;
    /**
     * Adds the logic on click of add logic button
     */
    addLogic(): void;
    closePopup(mode: any): void;
    /**
     * Populates logic selected value for ranking type question
     */
    populateSelectedValueForRanking(): void;
    /**
     * Validation for logic value (Validation: Previously value is entered or not for the particular question type)
     */
    checkForLogicValue(): boolean;
    /**
     * Deletes the logic having given index from visibility logic list
     * @param index Index of selected logic
     */
    deleteLogic(index: any): void;
    /**
     * Assigns the selected value to value that needs to be displayed to user
     * @param selectedVal Value selected to be displayed
     */
    setSelectedValue(selectedVal?: string): void;
    /**
     * For date/time assigns the selected value to value that needs to be displayed to user
     */
    setValueForDateTimeType(): void;
    /**
     * Empties the selected value if the logic operator is 'answered'
     * @param logicOperator Logic operator selected from logic dropdown
     */
    onSelectLogic(logicOperator: string): void;
    /**
     * Empties/Resets the logic fields
     */
    resetLogic(): void;
    /**
     * Assigns the selected star rating value to selected value and updates in main question array list
     * @param selectedValueIndex Index of selected value
     * @param questionIndex Index of current question
     */
    captureStarValue(selectedValueIndex: any): void;
    /**
     * Converts the date to toLocaleDateString format
     * @param date Date to be converted
     */
    formatDate(date: Date): string;
    /**
     * Operation On drag/drop of option of ranking type question
     * @param event Event triggered when option of ranking type question is dragged and dropped
     */
    formateWithPipe(date: any): string | null;
    formateBySlash(date: any): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<AddLogicComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AddLogicComponent, "app-add-logic", never, {}, {}, never, never, false, never>;
}
